View Issue Details

IDProjectCategoryView StatusLast Update
0000227file[All Projects] Generalpublic2021-02-05 22:08
Reportermb720Assigned Tochristos 
PrioritynormalSeveritytextReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.39 
Target VersionFixed in Version5.40 
Summary0000227: Missing word in man page
DescriptionIn the "Description" part of the man page it reads:

>The concept of a “magic” has been applied by extension to data files.

I think it should read:

>The concept of a “magic number” has been applied by extension to data files.
TagsNo tags attached.

Activities

catull

2021-01-13 17:14

reporter   ~0003525

Rather than "magic number", I would use "magic marker" here.

There are not always numbers, but alpha-numeric instances.

catull

2021-01-13 17:25

reporter   ~0003526

Here's a simple patch

file.man.patch (534 bytes)
diff --git a/doc/file.man b/doc/file.man
index 761a51cf..90129c8c 100644
--- a/doc/file.man
+++ b/doc/file.man
@@ -99,7 +99,7 @@ operating system
 that the file is a binary executable, and which of several types thereof.
 The concept of a
 .Dq magic
-has been applied by extension to data files.
+marker has been applied by extension to data files.
 Any file with some invariant identifier at a small fixed
 offset into the file can usually be described in this way.
 The information identifying these files is read from the compiled
file.man.patch (534 bytes)

polluks

2021-01-14 12:52

reporter   ~0003527

Well, magic number is a technical term
https://en.wikipedia.org/wiki/Magic_number_(programming)
At machine level everything is a number ;-)

christos

2021-02-05 22:08

manager   ~0003540

Fixed, thanks!

Issue History

Date Modified Username Field Change
2021-01-13 16:08 mb720 New Issue
2021-01-13 17:14 catull Note Added: 0003525
2021-01-13 17:24 catull Tag Attached: patch
2021-01-13 17:24 catull Tag Detached: patch
2021-01-13 17:25 catull File Added: file.man.patch
2021-01-13 17:25 catull Note Added: 0003526
2021-01-14 12:52 polluks Note Added: 0003527
2021-02-05 22:08 christos Assigned To => christos
2021-02-05 22:08 christos Status new => assigned
2021-02-05 22:08 christos Status assigned => resolved
2021-02-05 22:08 christos Resolution open => fixed
2021-02-05 22:08 christos Fixed in Version => 5.40
2021-02-05 22:08 christos Note Added: 0003540